Skip to content

List charges by date

GET
/api/v1/charges
curl --request GET \
--url http://127.0.0.1:8484/api/v1/charges \
--header 'Authorization: Bearer <token>'

Charges due between two dates (default: the next 30 days), with ids, amounts, status and whether they were moved.

from
string
to
string

OK

Media typeapplication/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
charges
required
Array<object> | null
object
amount
required
object
currency
required
string
minor
required
integer format: int64
cancelBy
string
cancelPassed
required
boolean
chargedAmount
object
currency
required
string
minor
required
integer format: int64
daysUntil
required
integer format: int64
decision
string
delayed
required
boolean
dueDate
required
string
id
required
string
kind
required
string
Allowed values: renewal trial expiry
logo
string
note
string
originalDate
required
string
paymentMethod
string
resolvedAt
string format: date-time
status
required
string
subscriptionId
required
string
subscriptionName
required
string
updatedAt
required
string format: date-time
version
required
integer format: int64
from
required
string
to
required
string

Example

{
"$schema": "https://example.com/api/schemas/ChargeList.json",
"charges": [
{
"kind": "renewal"
}
]
}

Error

Media typeapplication/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"$schema": "https://example.com/api/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}